Subject: Re: NAT Not Needed To Make Renumbering Easy

From: [email-masked] (Noel Chiappa)
Date: Thu, 5 Nov 2009 13:01:30 -0500 (EST)

> From: Phillip Hallam-Baker <[email-masked]>

    > The original architecture made no assumption that IP would run end to
    > end, let alone that the IP address would be constant end to end.

Say what? That's not my recollection at all. But this isn't the
Internet-History list, so I'll move on.

    > I do not see any architectural value in insisting that applications
    > assume that the IP address is constant from one end of a communication
    > to the other.

That's a complex question, and it depends in part on how many other
namespaces there are.

    > It is not a necessary assumption .. it is not one that any application
    > protocol can rely on if it is to work on 99% of the Internet deployed
    > today.

Well, that is certainly true.

    > IPv6 should be as little different to deployed IPv4 as possible.

That has minuses as well as pluses, though. A big one is that if IPv6 is just
IPv4 with a few more bits of address, then you sort of limit the capability,
and therefore the benefits, of IPv6. No architectural changes -> no
new/additional capabilities.

    > Remember that the first rule of the Internet is: You are SO NOT in
    > charge here (for all values of YOU).

A powerful observation, one we should all remember...

	Noel

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 6 Nov 2009 14:13:34 -0500

The reason I raised the historical perspective is that so many people
make arguments against NAT based on historical claims that are
contrary to my recent conversations with David Clark amongst others.

My position, which I have been fairly consistent in is that there is
only one Internet namespace: the DNS.

All other network namespaces are secondary. That is not something to
rue, it is something to celebrate. Messing with the DNS is hard
precisely because it will eventually become the uber-namespace that
subsumes everything (even telephone numbers will go eventually).

The architectural gain that we should be looking for in the IPv6
transition is to liberate the architecture from dependence on IP
protocol. That will give us more flexibility to do interesting things
at the IP level without having the oppressive weight of legacy
deployment assumptions bearing down.

The technical circumstances that favor packet switching as a paradigm
are not necessarily constant as we go into realms such as cloud
computing. I can well imagine circumstances where I want to have an IP
tunnel to an endpoint that is living in the cloud with an intermediate
circuit switched layer involved at some point.

Deciding that IP is the only protocol for all time might be a mistake.

On Thu, Nov 5, 2009 at 1:01 PM, Noel Chiappa <[email-masked]> wrote:
>    > From: Phillip Hallam-Baker <[email-masked]>
>
>    > The original architecture made no assumption that IP would run end to
>    > end, let alone that the IP address would be constant end to end.
>
>    > I do not see any architectural value in insisting that applications
>    > assume that the IP address is constant from one end of a communication
>    > to the other.
>
>    > It is not a necessary assumption .. it is not one that any application
>    > protocol can rely on if it is to work on 99% of the Internet deployed
>    > today.
>
>    > IPv6 should be as little different to deployed IPv4 as possible.
>
>    > Remember that the first rule of the Internet is: You are SO NOT in
>    > charge here (for all values of YOU).
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

-- 
-- 
New Website: http://hallambaker.com/
View Quantum of Stupid podcasts, Tuesday and Thursday each week,
http://quantumofstupid.com/